- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs/list#body.ListIntegrationJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs/list#body.aspect_1)

**Full name**: projects.locations.instances.integrations.jobs.list

Lists all `IntegrationJobs` defined for a specific integration. Use this method to browse the available background and scheduled automation capabilities provided by a third-party connection.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/jobs`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list IntegrationJobs for. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of IntegrationJobs to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `jobs.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list results. Only the following filters are allowed: - `id` - `custom` - `system` - `author` - `version` - `integration` |
| `orderBy` | `string` Optional. A field to order the results by. |
| `excludeStaging` | `boolean` Optional. Exclude staging jobs from the response. By default, staging jobs are included. |

### Request body

The request body must be empty.

### Response body

Response message for jobs.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "jobs": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs#IntegrationJob`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `jobs[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.jobs#IntegrationJob`)`` The list of IntegrationJobs. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total number of IntegrationJobs. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.jobs.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).